{% extends 'utilisateur.html' %}
{% load static %}

{% block title %}
    Mon profil
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/profile.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script src="{% static 'utilisateur/js/profile.js' %}"></script>
{% endblock %}

{% block content %}
    <header>
        <h1>Mon profil</h1>
    </header>

    <div class="container-fluid" style="margin-bottom: 50px;">
        <div class="row">
            <div class="col-xl-3 col-lg-5 col-md-5 order-md-12">
                <div class="card card-lg" id="user-info-card">
                    <h5 class="card-header">{{ user.nomComplet }}</h5>
                    <img alt="" src="{% url "photo_utilisateur" user.id %}" class="card-img-top">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-user-information">
                                    <tbody>

                                    <tr>
                                        <td>Nom d'utilisateur:</td>
                                        <td>{{ user.username }}</td>
                                    </tr>

                                    <tr>
                                        <td>Anniversaire:</td>
                                        <td>{{ user.anniversaire }}</td>
                                    </tr>
                                    <tr>
                                        <td>Groupes:</td>
                                        <td>
                                            {% for group in user.groups.all %}
                                                {{ group }}
                                            {% endfor %}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Caution déposée:</td>
                                        <td>{{ user.montantCaution }} €</td>
                                    </tr>
                                    <tr>
                                        <td>Cotisation:</td>
                                        <td>{{ user.get_statutCotisation_display }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                                {% if user.ficheInscription %}
                                    <a class="btn btn-primary" target="_blank"
                                       href="{% url "fiche_inscription" user.id %}" style="color:white;">Consulter ma
                                        fiche d'inscription</a>
                                {% endif %}
                                {% if user.acceptationCGU.exists %}
                                    <a class="btn btn-dark" target="_blank" href="{% url "fiche_cgu" user.id %}"
                                       style="color:white;">Dernière fiche CGU</a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-9 col-lg-7 col-md-7 order-md-1">
                <div class="card card-lg" id="info-card">
                    <h5 class="card-header">Informations personnelles</h5>
                    <div class="card-body">
                        <form method="post" action="{% url 'modification_compte' %}" accept-charset="UTF-8"
                              enctype="multipart/form-data">
                            {% csrf_token %}

                            {{ info_form.non_field_errors }}

                            <div class="form-group">
                                {{ info_form.email.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i
                                                class="fas fa-envelope"></i> Email</h7></span>
                                    </div>
                                    <input type="email" class="form-control" id="{{ info_form.email.id_for_label }}"
                                           name="{{ info_form.email.html_name }}"
                                           placeholder="{{ info_form.email.label }}"
                                           value="{{ info_form.email.value }}" required>
                                </div>
                            </div>


                            <div class="form-group">
                                {{ info_form.numeroDeTelephone.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i class="fas fa-mobile"></i> Téléphone</h7></span>
                                    </div>
                                    <input type="tel" class="form-control"
                                           id="{{ info_form.numeroDeTelephone.id_for_label }}"
                                           name="{{ info_form.numeroDeTelephone.html_name }}"
                                           placeholder="{{ info_form.numeroDeTelephone.label }}"
                                           value="{{ info_form.numeroDeTelephone.value }}" required>
                                </div>
                            </div>


                            <div class="form-group">
                                {{ info_form.adresse.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i
                                                class="fas fa-home"></i> Adresse</h7></span>
                                    </div>
                                    <textarea class="form-control" id="{{ info_form.adresse.id_for_label }}"
                                              name="{{ info_form.adresse.html_name }}"
                                              placeholder="{{ info_form.adresse.label }}"
                                              rows="3" required>{{ info_form.adresse.value }}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                {{ info_form.photo.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i
                                                class="fas fa-camera-retro"></i> Photo</h7></span>
                                    </div>
                                    <input type="file" class="form-control"
                                           id="{{ info_form.photo.id_for_label }}"
                                           name="{{ info_form.photo.html_name }}"
                                           value="{{ info_form.photo.value }}">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <input type="submit" value="Sauvegarder"
                                               class="btn btn-primary btn-block"/>
                                        <input type="hidden" name="next" value="{{ next }}"/>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="card card-lg" id="password-card">
                    <h5 class="card-header">Mot de passe</h5>
                    <div class="card-body">
                        <form method="post" action="{% url 'modification_mot_de_passe' %}" accept-charset="UTF-8">

                            {% csrf_token %}
                            {{ password_form.non_field_errors }}

                            <div class="form-group">
                                {{ password_form.old_password.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i class="fas fa-key"></i> Actuel</h7></span>
                                    </div>
                                    <input type="password" class="form-control"
                                           id="{{ password_form.old_password.id_for_label }}"
                                           name="{{ password_form.old_password.html_name }}"
                                           placeholder="Mot de passe actuel" required>
                                </div>
                            </div>

                            <div class="form-group">
                                {{ password_form.new_password1.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i
                                                class="fas fa-key"></i> Nouveau</h7></span>
                                    </div>
                                    <input type="password" class="form-control has-popover"
                                           id="{{ password_form.new_password1.id_for_label }}"
                                           name="{{ password_form.new_password1.html_name }}"
                                           placeholder="Nouveau mot de passe" data-toggle="popover"
                                           data-container="body"
                                           data-html="true" data-placement="top"
                                           data-content="{{ password_form.new_password1.help_text|safe }}" required>
                                </div>
                            </div>

                            <div class="form-group">
                                {{ password_form.new_password2.errors }}
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><h7><i class="fas fa-key"></i> Confirmation</h7></span>
                                    </div>
                                    <input type="password" class="form-control has-popover"
                                           id="{{ password_form.new_password2.id_for_label }}"
                                           name="{{ password_form.new_password2.html_name }}"
                                           placeholder="Confirmez votre nouveau mot de passe" required>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <input type="submit" value="Changer mon mot de passe"
                                               class="btn btn-primary btn-block"/>
                                        <input type="hidden" name="next" value="{{ next }}"/>
                                    </div>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>


        </div>


    </div>





{% endblock %}